
%.ascii.txt: %.txt
	iconv -f utf-8 -t ascii//TRANSLIT $< -o $@

ascii: $(shell find textes/ -type f -iname "*.txt" ! -iname "*.ascii.txt" | sed "s/\.txt/\.ascii\.txt/")

%.cmx: %.ml
	ocamlopt -c $<

tipe: tipe.cmx
	ocamlopt -o tipe str.cmxa tipe.cmx

%.txt.test: %.ascii.txt tipe
	./tipe $<

runall: $(shell find textes/ -type f -iname "*.txt" ! -iname "*.ascii.txt" | sed "s/\.txt/\.txt\.test/")

clean:
	rm -rf tipe *.cmx *.cmi *.o textes/*.ascii.txt
